unit CompOptions;

{
  Inno Setup
  Copyright (C) 1998-2002 Jordan Russell
  Portions by Martijn Laan
  For conditions of distribution and use, see LICENSE.TXT.

  Compiler Options form

  $jrsoftware: issrc/Projects/CompOptions.pas,v 1.11 2002/11/09 19:45:41 jr Exp $
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TOptionsForm = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    GroupBox1: TGroupBox;
    BackupCheck: TCheckBox;
    GroupBox2: TGroupBox;
    AssocButton: TButton;
    StartupCheck: TCheckBox;
    WizardCheck: TCheckBox;
    GroupBox3: TGroupBox;
    ChangeFontButton: TButton;
    FontPanel: TPanel;
    Label1: TLabel;
    FontDialog: TFontDialog;
    FullPathCheck: TCheckBox;
    UseSynHighCheck: TCheckBox;
    UndoAfterSaveCheck: TCheckBox;
    procedure AssocButtonClick(Sender: TObject);
    procedure ChangeFontButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses
  CompForm, CompFileAssoc;

{$R *.DFM}

procedure TOptionsForm.FormCreate(Sender: TObject);
begin
  InitFormFont(Self);
end;

procedure TOptionsForm.AssocButtonClick(Sender: TObject);
begin
  RegisterISSFileAssociation;
  Application.MessageBox (PChar('The .iss extension was successfully ' +
    'associated with:'#13#10 + ParamStr(0)), 'Associate',
    MB_OK or MB_ICONINFORMATION);
end;

procedure TOptionsForm.ChangeFontButtonClick(Sender: TObject);
begin
  FontDialog.Font.Assign (FontPanel.Font);
  if FontDialog.Execute then
    FontPanel.Font.Assign (FontDialog.Font);
end;

end.
