program Setup;

{
  Inno Setup
  Copyright (C) 1998-2002 Jordan Russell
  Portions by Martijn Laan
  For conditions of distribution and use, see LICENSE.TXT.

  Setup program

  $jrsoftware: issrc/Projects/Setup.dpr,v 1.6 2002/11/09 19:45:41 jr Exp $
}

uses
  XPTheme,
  Forms,
  Windows,
  SysUtils,
  MBCSUtil,
  CmnFunc in 'CmnFunc.pas',
  CmnFunc2 in 'CmnFunc2.pas',
  Main in 'Main.pas' {MainForm},
  Install in 'Install.pas',
  Msgs in 'Msgs.pas',
  MsgIDs in 'MsgIDs.pas',
  Undo in 'Undo.pas',
  Struct in 'Struct.pas',
  NewDisk in 'NewDisk.pas' {NewDiskForm},
  InstFunc in 'InstFunc.pas',
  InstFnc2 in 'InstFnc2.pas',
  Wizard in 'Wizard.pas' {WizardForm};

{$R *.RES}
{$R IMAGES.RES}

{$I VERSION.INC}

procedure ShowExceptionMsg(const Msg: String);
var
  M: String;
begin
  M := Msg;
  if (M <> '') and (AnsiLastChar(M)^ > '.') then M := M + '.';
  Application.MessageBox(PChar(M), Pointer(SetupMessages[msgErrorTitle]),
    MB_OK or MB_ICONSTOP);
    { ^ use a Pointer cast instead of a PChar cast so that it will use "nil"
      if SetupMessages[msgErrorTitle] is empty due to the messages not being
      loaded yet. MessageBox displays 'Error' as the caption if the lpCaption
      parameter is nil. }
end;

begin
  { Initialize.
    Note: There's no need to localize the following line since it's changed in
    InitializeSetup }
  Application.Title := 'Setup';
  try
    InitializeSetup;
    Application.CreateForm(TMainForm, MainForm);
    MainForm.ProceedToNextStep;
  except
    { Halt on any exception }
    on E: Exception do begin
      if not(E is EAbort) then
        ShowExceptionMsg(E.Message);
      try
        DeinitSetup;
      except
        { don't propogate any exceptions, so that Halt is always called }
      end;
      Halt(ecInitializationError);
    end;
  end;

  { Run }
  try
    Application.Run;
  except
    { Show any exception and continue }
    on E: Exception do begin
      if not(E is EAbort) then
        ShowExceptionMsg(E.Message);
    end;
  end;

  { Deinitialize (clean up) }
  try
    DeinitSetup;
  except
    { Show any exception and continue }
    on E: Exception do begin
      if not(E is EAbort) then
        ShowExceptionMsg(E.Message);
    end;
  end;

  Halt(SetupExitCode);
end.
