; Inno Setup
; Copyright (C) 1997-2003 Jordan Russell. All rights reserved.
; Portions by Martijn Laan
; For conditions of distribution and use, see LICENSE.TXT.
;
; Setup script
;
; $jrsoftware: issrc/setup.iss,v 1.26.4.1 2003/04/14 20:51:32 jr Exp $

[Setup]
AppName=Inno Setup
AppId=Inno Setup 3
AppVerName=Inno Setup version 3.0.7
AppVersion=3.0.7
AppPublisher=Jordan Russell
AppPublisherURL=http://www.innosetup.com/
AppSupportURL=http://www.innosetup.com/
AppUpdatesURL=http://www.innosetup.com/
AppMutex=InnoSetupCompilerAppMutex,Global\InnoSetupCompilerAppMutex
DefaultDirName={pf}\Inno Setup 3
DefaultGroupName=Inno Setup 3
Compression=bzip/9
UninstallDisplayIcon={app}\Compil32.exe
LicenseFile=license.txt
WizardImageFile=compiler:WizModernImage.bmp
WizardSmallImageFile=compiler:WizModernSmallImage.bmp

[Messages]
; two "Setup" on the same line looks weird to me, so put a line break in between
WelcomeLabel1=Welcome to the Inno Setup%nSetup Wizard

[Tasks]
Name: desktopicon; Description: "Create a &desktop icon"
Name: fileassoc; Description: "&Associate Inno Setup with the .iss file extension"

[Files]
Source: "license.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "ishelp\ISetup.hlp"; DestDir: "{app}"; Flags: ignoreversion
Source: "ishelp\ISetup.cnt"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\Compil32.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\ISCC.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\ISCmplr.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\Setup.e32"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\SetupLdr.e32"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\Uninst.e32"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\RegSvr.e32"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\Default.isl"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\WizModernImage.bmp"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\WizModernImage2.bmp"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\WizModernSmallImage.bmp"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\WizModernSmallImage2.bmp"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\isbzip.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "files\isbunzip.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "whatsnew.htm"; DestDir: "{app}"; Flags: ignoreversion
Source: "ishelp\isfaq.htm"; DestDir: "{app}"; Flags: ignoreversion
Source: "Samples\Sample1.iss"; DestDir: "{app}\Samples"; Flags: ignoreversion
Source: "Samples\Sample2.iss"; DestDir: "{app}\Samples"; Flags: ignoreversion
Source: "Samples\Sample3.iss"; DestDir: "{app}\Samples"; Flags: ignoreversion
Source: "Samples\MyProg.exe"; DestDir: "{app}\Samples"; Flags: ignoreversion
Source: "Samples\MyProg.hlp"; DestDir: "{app}\Samples"; Flags: ignoreversion
Source: "Samples\Readme.txt"; DestDir: "{app}\Samples"; Flags: ignoreversion

[UninstallDelete]
Type: files; Name: "{app}\Samples\Output\SETUP.EXE"
Type: files; Name: "{app}\Samples\Output\SETUP.0"
Type: files; Name: "{app}\Samples\Output\SETUP.1"
Type: files; Name: "{app}\Samples\Output\SETUP.MSG"
Type: dirifempty; Name: "{app}\Samples\Output"
Type: dirifempty; Name: "{app}\Samples"

[Icons]
Name: "{group}\Inno Setup Compiler"; Filename: "{app}\Compil32.exe"; WorkingDir: "{app}"
Name: "{group}\Inno Setup Documentation"; Filename: "{app}\ISetup.hlp";
Name: "{group}\Inno Setup FAQ"; Filename: "{app}\isfaq.htm";
Name: "{group}\Inno Setup Revision History"; Filename: "{app}\whatsnew.htm";
Name: "{userdesktop}\Inno Setup Compiler"; Filename: "{app}\Compil32.exe"; WorkingDir: "{app}"; Tasks: desktopicon

[Registry]
Root: HKCU; Subkey: "Software\Jordan Russell"; Flags: uninsdeletekeyifempty
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup"; Flags: uninsdeletekey
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup\ScriptFileHistoryNew"; ValueType: string; ValueName: "History0"; ValueData: "{app}\Samples\Sample1.iss"; Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup\ScriptFileHistoryNew"; ValueType: string; ValueName: "History1"; ValueData: "{app}\Samples\Sample2.iss"; Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup\ScriptFileHistoryNew"; ValueType: string; ValueName: "History2"; ValueData: "{app}\Samples\Sample3.iss"; Flags: createvalueifdoesntexist

[Run]
Filename: "{app}\Compil32.exe"; Parameters: "/ASSOC"; StatusMsg: "Associating Inno Setup with the .iss file extension..."; Tasks: fileassoc
Filename: "{app}\Compil32.exe"; WorkingDir: "{app}"; Description: "Launch the Inno Setup Compiler"; Flags: nowait postinstall skipifsilent

[UninstallRun]
Filename: "{app}\Compil32.exe"; Parameters: "/UNASSOC"; RunOnceId: "RemoveISSAssoc"
